Package com.ads.mm.etl.xml.mapping

# Class MMDBSystem

java.lang.Object
com.ads.mm.etl.xml.mapping.MMUUID
com.ads.mm.etl.xml.mapping.MMDBSystem

public class MMDBSystem extends MMUUID

Author:
  Syed Abdul Rahim

- ## Field Summary

  ### Fields inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `_associatedIDs, _associatedUUIDs, uniqueName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MMDBSystem(MMMappingUtil mappingUtil, String sysName)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MMDBEnvironment`
  `addEnvironment(String srcEnvironmentName)`
  `void`
  `copyProperties(MMDBSystem tgtSystem)`
  `MMDBEnvironment`
  `ensureEnvironmentExists(String environmentName)`
  `void`
  `fillCopyColumnDependencies()`
  `void`
  `fillEnvironmentDetails()`
  `MMDBEnvironment`
  `findEnvironment(String srcEnvironmentName)`
  `MMEnvironmentMap`
  `getEnvironmentMap()`
  `String`
  `getId()`
  `String`
  `getSystemName()`
  `void`
  `setId(String id)`
  `void`
  `setSystemName(String systemName)`
  `String`
  `toString()`
  `void`
  `toString(StringBuilder sbu)`

  ### Methods inherited from class com.ads.mm.etl.xml.mapping.MMUUID

  `addAssociatedCrossID, addAssociatedID, addAssociatedUUID, getAssociatedCrossID, getAssociatedID, getAssociatedUUID, getUniqueName, getUUID, setAssociatedIDCount, setUniqueName, setUUID`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MMDBSystem

    public MMDBSystem(MMMappingUtil mappingUtil, String sysName)

- ## Method Details

  - ### getSystemName

    public String getSystemName()
    Returns:
      the systemName

  - ### setSystemName

    public void setSystemName(String systemName)
    Parameters:
      `systemName` - the systemName to set

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### toString

    public void toString(StringBuilder sbu)

  - ### addEnvironment

    public MMDBEnvironment addEnvironment(String srcEnvironmentName)

  - ### findEnvironment

    public MMDBEnvironment findEnvironment(String srcEnvironmentName)

  - ### getId

    public String getId()
    Returns:
      the id

  - ### setId

    public void setId(String id)
    Parameters:
      `id` - the id to set

  - ### getEnvironmentMap

    public MMEnvironmentMap getEnvironmentMap()

  - ### fillEnvironmentDetails

    public void fillEnvironmentDetails() throws SQLException
    Throws:
      `SQLException`

  - ### fillCopyColumnDependencies

    public void fillCopyColumnDependencies()

  - ### ensureEnvironmentExists

    public MMDBEnvironment ensureEnvironmentExists(String environmentName)

  - ### copyProperties

    public void copyProperties(MMDBSystem tgtSystem)